BlastLikeSearchFilter.AbstractBlastLikeSearchFilter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class BlastLikeSearchFilter.AbstractBlastLikeSearchFilter

    java.lang.Object
      org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter

All Implemented Interfaces:
  Serializable, BlastLikeSearchFilter

Direct Known Subclasses:
  BlastLikeSearchFilter.ByHitProperty, BlastLikeSearchFilter.BySearchProperty, BlastLikeSearchFilter.BySubHitProperty, BlastLikeSearchFilter.Not

Enclosing interface:
  BlastLikeSearchFilter

    public abstract static class BlastLikeSearchFilter.AbstractBlastLikeSearchFilter

extends Object
implements BlastLikeSearchFilter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.search.BlastLikeSearchFilter
`BlastLikeSearchFilter.AbstractBlastLikeSearchFilter, BlastLikeSearchFilter.And, BlastLikeSearchFilter.ByHitProperty, BlastLikeSearchFilter.BySearchProperty, BlastLikeSearchFilter.BySubHitProperty, BlastLikeSearchFilter.Node, BlastLikeSearchFilter.Not, BlastLikeSearchFilter.Or`

Field Summary
`protected TriState` | `cachedOutcome`

Fields inherited from interface org.biojava.bio.search.BlastLikeSearchFilter
`KEY_QUERY_ID`

Method Summary
`TriState` | `accept()` returns a TriState indicating the current outcome of evaluating this filter.
`abstract void` | `evaluate(BlastLikeSearchFilter.Node fch)` computes the outcome of this filter on the specified node and stores it.
`void` | `reset()` resets the internal state of this filter including any cached evaluations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cachedOutcome

    protected TriState cachedOutcome

Method Detail

### accept

    public TriState accept()

  Description copied from interface: `BlastLikeSearchFilter`
  returns a TriState indicating the current outcome of evaluating this filter. This is usually the outcome saved when evaluate(FilteringContentHandler fch) was called.

  Specified by:
    `accept` in interface `BlastLikeSearchFilter`

### evaluate

    public abstract void evaluate(BlastLikeSearchFilter.Node fch)

  Description copied from interface: `BlastLikeSearchFilter`
  computes the outcome of this filter on the specified node and stores it. This method is only exposed to permit it to be included in an interface. Users should not use it.

  Specified by:
    `evaluate` in interface `BlastLikeSearchFilter`

### reset

    public void reset()

  Description copied from interface: `BlastLikeSearchFilter`
  resets the internal state of this filter including any cached evaluations. This method is only exposed to permit it to be included in an interface. Users should not use it.

  Specified by:
    `reset` in interface `BlastLikeSearchFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD